> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1banksconnect



## OpenAPI

````yaml /api-reference/openapi.json post /v1/banks/connect
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/banks/connect:
    post:
      tags:
        - Banks
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlaidPlaidLinkMetadata'
          text/json:
            schema:
              $ref: '#/components/schemas/PlaidPlaidLinkMetadata'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PlaidPlaidLinkMetadata'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesPlaidLinkGetLinkResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesPlaidLinkGetLinkResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesPlaidLinkGetLinkResponse
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    PlaidPlaidLinkMetadata:
      type: object
      properties:
        status:
          type: string
          nullable: true
        linkSessionId:
          type: string
          nullable: true
        institution:
          $ref: '#/components/schemas/PlaidInstitution'
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/PlaidAccount'
          nullable: true
        account:
          $ref: '#/components/schemas/PlaidAccount'
        accountId:
          type: string
          nullable: true
        transferStatus:
          type: string
          nullable: true
        publicToken:
          type: string
          nullable: true
        updateMode:
          type: boolean
      additionalProperties: false
    SmartbillsSDKServicesPlaidLinkGetLinkResponse:
      type: object
      properties:
        link:
          type: string
          nullable: true
      additionalProperties: false
    PlaidInstitution:
      type: object
      properties:
        name:
          type: string
          nullable: true
        institutionId:
          type: string
          nullable: true
      additionalProperties: false
    PlaidAccount:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        mask:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        subtype:
          type: string
          nullable: true
        verificationStatus:
          type: string
          nullable: true
        classType:
          type: string
          nullable: true
      additionalProperties: false

````